Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.filters
Class DiagramEditPartPropertySectionFilter

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.properties.filters.DiagramEditPartPropertySectionFilter

All Implemented Interfaces:
  IFilter

public class DiagramEditPartPropertySectionFilter
extends java.lang.Object
implements IFilter

Filter to display a property section if the selection is a diagram edit part.

Constructor Summary
`DiagramEditPartPropertySectionFilter()`

Method Summary
`boolean` `select(java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramEditPartPropertySectionFilter

    public DiagramEditPartPropertySectionFilter()

Method Detail

### select

    public boolean select(java.lang.Object object)

  Specified by:
    `select` in interface `IFilter`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.